PLANET(1)

NAME
planet - an aggregate feed generator

SYNOPSIS
planet [OPTION]... [CONFIGURATION-FILE]

DESCRIPTION
Planet Venus downloads news feeds published by web sites and aggregates their content together into a single combined feed, latest news first.

The exit status is 0 for success or 1 for failure.

OPTIONS

-h, --help
    display a short help message and exit

-V, --version
    display version information and exit

-v, --verbose
    verbose logging during update

-d, --debug
    debug logging during update

-o, --offline
    update from the cache only

-n, --only-if-new
    only spider new feeds

-x, --expunge
    expunge old entries from cache

-c, --create=DIRECTORY
    create a new planet in DIRECTORY

EXAMPLES

You can create a default planet:

    planet --create example

You can build this default planet right away:

    cd example && planet --verbose planet.ini

You can test the results in your favourite browser:

    sensible-browser output/index.html

The configuration file has more details for customisation:

    sensible-editor planet.ini

AUTHOR
Written by Sam Ruby <rubys@intertwingly.net>.

REPORTING BUGS
Report bugs using the `reportbug' command.

Copyright 2008, Sam Ruby <rubys@intertwingly.net>

Licenced under the Python Software Foundation License Version 2.